Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base:

## Protected Member Functions
| joinContentObjectLink (SelectQuery $query)
| Inner join `ezurl_object_link` table if not joined yet. More...
| joinContentObject (SelectQuery $query)
| Inner join `ezcontentobject` table if not joined yet. More...
| joinContentObjectAttribute (SelectQuery $query)
| Inner join `ezcontentobject_attribute` table if not joined yet. More...

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler
| accept (Criterion $criterion)
| Check if this criterion handler accepts to handle the given criterion. More...
| handle (CriteriaConverter $converter, SelectQuery $query, Criterion $criterion)
| Generate query expression for a Criterion this handler accepts. More...

## Detailed Description

Definition at line 14 of file Persistence/Legacy/URL/Query/CriterionHandler/Base.php.

## Member Function Documentation

## ◆ joinContentObject()

eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base::joinContentObject | ( | SelectQuery | $query | ) |
| protected

Inner join `ezcontentobject` table if not joined yet.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |

Definition at line 36 of file Persistence/Legacy/URL/Query/CriterionHandler/Base.php.

References eZ\Publish\Core\Persistence\Database\Query\getQuery(), and eZ\Publish\Core\Persistence\Database\SelectQuery\innerJoin().

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionId\handle(), and eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionIdentifier\handle().

## ◆ joinContentObjectAttribute()

eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base::joinContentObjectAttribute | ( | SelectQuery | $query | ) |
| protected

Inner join `ezcontentobject_attribute` table if not joined yet.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |

Definition at line 51 of file Persistence/Legacy/URL/Query/CriterionHandler/Base.php.

References eZ\Publish\Core\Persistence\Database\Query\getQuery(), and eZ\Publish\Core\Persistence\Database\SelectQuery\innerJoin().

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionId\handle(), eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionIdentifier\handle(), and eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\VisibleOnly\handle().

## ◆ joinContentObjectLink()

eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base::joinContentObjectLink | ( | SelectQuery | $query | ) |
| protected

Inner join `ezurl_object_link` table if not joined yet.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |

Definition at line 21 of file Persistence/Legacy/URL/Query/CriterionHandler/Base.php.

References eZ\Publish\Core\Persistence\Database\Query\getQuery(), and eZ\Publish\Core\Persistence\Database\SelectQuery\innerJoin().

Referenced by eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionId\handle(), eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\SectionIdentifier\handle(), and eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\VisibleOnly\handle().

The documentation for this class was generated from the following file:

- Persistence/Legacy/URL/Query/CriterionHandler/Base.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.